# -*- coding: utf-8 -*-
# Generated by Django 1.11.9 on 2020-02-04 10:25
from __future__ import unicode_literals

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import xyz_util.modelutils


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Message',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('to_id', models.CharField(max_length=64, verbose_name='\u63a5\u6536\u8005ID')),
                ('from_id', models.CharField(max_length=64, verbose_name='\u53d1\u9001\u8005ID')),
                ('create_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u521b\u5efa\u65f6\u95f4')),
                ('type', models.CharField(choices=[(b'text', '\u6587\u672c'), (b'image', '\u56fe\u7247'), (b'shortvideo', '\u5c0f\u89c6\u9891'), (b'voice', '\u8bed\u97f3'), (b'video', '\u89c6\u9891'), (b'event', '\u4e8b\u4ef6'), (b'location', '\u5730\u7406\u4f4d\u7f6e')], default=b'text', max_length=16, verbose_name='\u7c7b\u522b')),
                ('msg_id', models.BigIntegerField(blank=True, null=True, verbose_name='\u7f16\u53f7')),
                ('content', models.TextField(blank=True, null=True, verbose_name='\u5185\u5bb9')),
            ],
            options={
                'verbose_name': '\u6d88\u606f',
                'verbose_name_plural': '\u6d88\u606f',
            },
        ),
        migrations.CreateModel(
            name='User',
            fields=[
                ('openid', models.CharField(max_length=64, primary_key=True, serialize=False, verbose_name='openId')),
                ('unionid', models.CharField(blank=True, max_length=64, null=True, verbose_name='unionId')),
                ('nickname', models.CharField(blank=True, max_length=64, null=True, verbose_name='\u6635\u79f0')),
                ('headimgurl', models.CharField(blank=True, max_length=255, null=True, verbose_name='\u5934\u50cf')),
                ('city', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u57ce\u5e02')),
                ('province', models.CharField(blank=True, max_length=128, null=True, verbose_name='\u7701\u4efd')),
                ('country', models.CharField(blank=True, default='\u4e2d\u56fd', max_length=128, verbose_name='\u56fd\u5bb6')),
                ('sex', models.CharField(blank=True, choices=[(b'M', '\u7537'), (b'F', '\u5973')], max_length=2, null=True, verbose_name='\u6027\u522b')),
                ('longitude', models.FloatField(blank=True, null=True, verbose_name='\u7ecf\u5ea6')),
                ('latitude', models.FloatField(blank=True, null=True, verbose_name='\u7eac\u5ea6')),
                ('subscribe', models.BooleanField(default=True, verbose_name='\u8ba2\u9605')),
                ('subscribe_time', models.DateTimeField(auto_now_add=True, db_index=True, verbose_name='\u8ba2\u9605\u65f6\u95f4')),
                ('subscribe_scene', models.CharField(blank=True, default='ADD_SCENE_QR_CODE', max_length=32, verbose_name='\u5173\u6ce8\u6e20\u9053')),
                ('qr_scene', models.PositiveIntegerField(blank=True, null=True, verbose_name='\u626b\u7801\u573a\u666f')),
                ('qr_scene_str', models.CharField(blank=True, default='', max_length=32, verbose_name='\u626b\u7801\u573a\u666f\u63cf\u8ff0')),
                ('remark', models.CharField(blank=True, default='', max_length=255, verbose_name='\u5907\u6ce8')),
                ('tagid_list', xyz_util.modelutils.JSONField(blank=True, default=[], verbose_name='\u6807\u7b7eID\u5217\u8868')),
                ('groupid', models.PositiveIntegerField(blank=True, default=0, verbose_name='\u5206\u7ec4ID')),
                ('language', models.CharField(blank=True, default='zh_CN', max_length=16, verbose_name='\u8bed\u8a00')),
                ('user', models.OneToOneField(null=True, on_delete=django.db.models.deletion.CASCADE, related_name='as_wechat_user', to=settings.AUTH_USER_MODEL, verbose_name='\u7f51\u7ad9\u7528\u6237')),
            ],
            options={
                'ordering': ('-subscribe_time',),
                'verbose_name': '\u7528\u6237',
                'verbose_name_plural': '\u7528\u6237',
            },
        ),
    ]
